OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.CopyBuffer

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_copy_buffer extension, see http://www.opengl.org/registry/specs/ARB/copy_buffer.txt.

Synopsis

- glCopyBufferSubData :: GLenum -> GLenum -> GLintptr -> GLintptr -> GLsizeiptr -> IO ()
- gl_COPY_READ_BUFFER_BINDING :: GLenum
- gl_COPY_READ_BUFFER :: GLenum
- gl_COPY_WRITE_BUFFER_BINDING :: GLenum
- gl_COPY_WRITE_BUFFER :: GLenum

# Functions

glCopyBufferSubData :: GLenum -> GLenum -> GLintptr -> GLintptr -> GLsizeiptr -> IO ()

# Tokens

gl_COPY_READ_BUFFER_BINDING :: GLenum

gl_COPY_READ_BUFFER :: GLenum

gl_COPY_WRITE_BUFFER_BINDING :: GLenum

gl_COPY_WRITE_BUFFER :: GLenum